## gpsman 5.4.2

=== aux/Makefile ===
PROGRAMS=gpsman getport gpsman-config

binary: ${PROGRAMS}

gpsman: gpsman.c

gpsman-config: gpsman-config.c

getport: getport.c
	gcc -o getport  getport.c /usr/lib/liblockdev.a

clean:
	rm -f *.o ${PROGRAMS}

## gpsman 6.4.1-1

=== debian/changelog ===
gpsman (6.4.1-1) unstable; urgency=low
  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Jun 2010 08:24:21 +0100
  

gpsman (6.4-2) unstable; urgency=low

  * Two patches added: changes in item names lead to wrong contents of
    groups containing them; bad conversion of time-stamps from Garmin
    receivers

 -- Rogerio Reis <rvr@debian.org>  Mon, 05 Jan 2009 13:50:31 +0000

gpsman (6.4-1) unstable; urgency=low

  * New upstream release
  * New short description (Closes: #493611).
  * (Closes: #478185) it was a dummy bug!.
  * Bug fix: watch support removed because no suitable source repositoty
    is available. (Closes: #449951).

 -- Rogerio Reis <rvr@debian.org>  Sun, 04 Jan 2009 18:43:48 +0000

gpsman (6.3.2-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Mon, 18 Jun 2007 15:31:30 +0100

gpsman (6.3.1-2) unstable; urgency=low

  * Bug fix: "gpsman: doe not start and exit immediately, without letting
    read the message.". The program cannot be run as root, and that is now
    clearly stated in the README file. (Closes: #425308).

 -- Rogerio Reis <rvr@debian.org>  Mon, 21 May 2007 10:29:53 +0100

gpsman (6.3.1-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Tue, 25 Jul 2006 23:42:39 +0100

gpsman (6.3-2) unstable; urgency=low

  * Bug upgrading from early versions corrected

 -- Rogerio Reis <rvr@debian.org>  Sun, 14 May 2006 22:21:27 +0100

gpsman (6.3-1) unstable; urgency=low

  * New upstream release
  * Several changes including support for the Garmin USB protocol using the Garmin GPS Linux kernel driver.
 -- Rogerio Reis <rvr@debian.org>  Tue,  9 May 2006 12:09:05 +0100

gpsman (6.2.1-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Fri, 21 Jan 2005 18:14:45 +0000

gpsman (6.2-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Sat, 23 Oct 2004 19:15:23 +0100

gpsman (6.1.2-3) unstable; urgency=low

  * Bug fix: error exporting data to a GPX file, thanks to Christian Mauduit
    (Closes: #275138).

 -- Rogerio Reis <rvr@debian.org>  Thu,  7 Oct 2004 13:43:33 +0100

gpsman (6.1.2-2) unstable; urgency=low

  * Again an error about the versions of wish corrected.

 -- Rogerio Reis <rvr@debian.org>  Sun, 18 Jul 2004 19:06:40 +0100

gpsman (6.1.2-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Sun, 18 Jul 2004 12:34:30 +0100

gpsman (6.1.1-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Tue,  8 Jun 2004 10:32:57 +0100

gpsman (6.1-2) unstable; urgency=low

  * Uses a explicit version of wish (8.4), so that if the default version
    is other gpsman (and the other utils) do not fai to run.  

 -- Rogerio Reis <rvr@debian.org>  Mon,  7 Jun 2004 16:45:51 +0100

gpsman (6.1-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Sat,  5 Jun 2004 01:43:46 +0100

gpsman (6.0.1-4) unstable; urgency=low

  * bug correction update of 2004.01.31

 -- Rogerio Reis <rvr@debian.org>  Mon,  2 Feb 2004 11:02:24 +0000

gpsman (6.0.1-3) unstable; urgency=low

  * debian/control back to ASCII (no 8-bit characters there anymore!)

 -- Rogerio Reis <rvr@debian.org>  Fri, 12 Sep 2003 09:14:10 +0100

gpsman (6.0.1-2) unstable; urgency=low

  * debian/control now UTF-8 coded

 -- Rogerio Reis <rvr@debian.org>  Sat,  6 Sep 2003 09:30:28 +0100

gpsman (6.0.1-1) unstable; urgency=low

  * New upstream release

 -- Rogerio Reis <rvr@debian.org>  Mon, 24 Mar 2003 01:23:41 +0000

gpsman (5.4.2-11) unstable; urgency=low

  * Code to cope with bug tk8.4 #169240

 -- Rogerio Reis <rvr@debian.org>  Wed, 20 Nov 2002 11:32:22 +0000

gpsman (5.4.2-10) unstable; urgency=low

  * Standards updated to 3.5.7.
  * mb2gmn and mou2gmn utilities now available trough link in /usr/X11R6/bin.

 -- Rogerio Reis <rvr@debian.org>  Fri,  4 Oct 2002 12:40:29 +0100

gpsman (5.4.2-9) unstable; urgency=low

  * Now copes with illbehavied env vars ($HOME) (closes: #151516) 

 -- Rogerio Reis <rvr@debian.org>  Mon,  1 Jul 2002 10:39:55 +0000

gpsman (5.4.2-8) unstable; urgency=low

  * corrects bug in initializing particular cases of projections
  * uses mark_x symbol to waypoints created during geo-referencing
  * files.tcl now copes with the possible inconsistency of saved states  
    from previous versions. (closes: #150200)

 -- Rogerio Reis <rvr@debian.org>  Mon, 17 Jun 2002 20:48:27 +0000

gpsman (5.4.2-7) unstable; urgency=medium

  * false easting/northing for LV03 grid exchanged (closes: #147672)
  * new "skip to next TP" button in TR animation
  * bug corrected: changing to non-existing directory when restoring saved
    state
  * correction to elevation graph.
  * new way of adding images to the map.

 -- Rogerio Reis <rvr@debian.org>  Tue, 21 May 2002 19:44:40 +0000

gpsman (5.4.2-6) unstable; urgency=low

  *  new ChooseItems routine (closes: #147298)

 -- Rogerio Reis <rvr@debian.org>  Mon, 20 May 2002 10:24:06 +0000

gpsman (5.4.2-5) unstable; urgency=low

  *  rgb.tcl was changed because of a stupid diff bug: dpkg-buildpackage
    generates a diff from the original that the patch invoked by
    dpkg-source doesn't accept. Problem may be related with the fact that
    the original file terminates with a line without CR (!!??) 
  * (closes: #146596)

 -- Rogerio Reis <rvr@debian.org>  Fri, 17 May 2002 16:52:09 +0000

gpsman (5.4.2-4) unstable; urgency=low

  * Garmin D109 protocol and explicit support of eMap version >2.7
  * Indonesian language support
  * Bugs corrected, Garmin D109 protocol
  * Defining waypoints when geo-referencing an image
  * Interface support for more than one export format

 -- Rogerio Reis <rvr@debian.org>  Sat,  4 May 2002 12:09:36 +0000

gpsman (5.4.2-3) unstable; urgency=low

  * Lots of added features and modifications from the author (see log).
  * Img package support (closes: #143493)



=== debian/control ===
Source: gpsman
Section: misc
Priority: optional
Maintainer: Rogerio Reis <rvr@debian.org>
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.8.4

Package: gpsman
Architecture: all
Depends: tk8.4 
Suggests: libtk-img, gpsmanshp (>= 1.1) 
Description: A GPS data graphical manager
 GPS Manager (GPSMan) is a graphical manager of GPS data that
 makes possible the preparation, inspection and edition of GPS data in
 a friendly environment. GPSMan supports communication and real-time
 logging with both Garmin and Lowrance receivers and accepts real-time
 logging information in NMEA 0183 from any GPS receiver.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/gpsman

build:
	dh_testdir 

clean:
	dh_testdir
	dh_testroot
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cp -R manual/* $(DESTDIR)/usr/share/doc/gpsman
	cp gmsrc/*.tcl $(DESTDIR)/usr/lib/gpsman
	cp -R util/*.tcl $(DESTDIR)/usr/lib/gpsman
	cp gmsrc/gmicons/* $(DESTDIR)/usr/share/gpsman/gmicons
	install gpsman.tcl $(DESTDIR)/usr/lib/gpsman
	ln -s ../lib/gpsman/gpsman.tcl $(DESTDIR)/usr/bin/gpsman
	ln -s ../lib/gpsman/mb2gmn.tcl $(DESTDIR)/usr/bin/mb2gmn
	ln -s ../lib/gpsman/mou2gmn.tcl $(DESTDIR)/usr/bin/mou2gmn
	ln -s ../../share/gpsman/gmicons $(DESTDIR)/usr/lib/gpsman
	dh_installman -i man/man1/gpsman.1 debian/mb2gmn.1 debian/mou2gmn.1

binary-indep: install
	dh_testdir -i 
	dh_testroot -i 
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installchangelogs -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep 
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php gpsman-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
http://www.ncc.up.pt/gpsman/src/gpsman-(.*).tgz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/gpsman-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/gpsman/gpsman-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html gpsman-(.*)\.tar\.gz

## gpsman 6.4.4.2

=== debian/changelog ===
gpsman (6.4.4.2-4) unstable; urgency=medium

  * QA upload.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Remove trailing whitespaces.
  * d/rules: Remove trailing whitespaces.
  * d/watch: Use https protocol.
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * Wrap long lines in changelog entries: 6.3-1.
  * Set the correct QA group email.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 12 May 2020 15:42:32 +0200

gpsman (6.4.4.2-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #831683)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Vesion to 4.5.0

 -- Celio Roberto Pereira <celioctba@gmail.com>  Sat, 09 May 2020 18:22:26 +0000

gpsman (6.4.4.2-2) unstable; urgency=low

  * Does not depend of Tk8.5 anymore (Closes: #725693)

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 17:56:04 +0100

gpsman (6.4.4.2-1) unstable; urgency=low

  * New upstream release
  * Uses the current Tcl instead of a fixed version (Closes: #532801)

 -- Rogerio Reis <rvr@debian.org>  Mon, 07 Oct 2013 11:05:58 +0100

=== debian/control ===
Source: gpsman
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0

Package: gpsman
Architecture: all
Depends: tk, ${misc:Depends}
Suggests: libtk-img, gpsmanshp (>= 1.1)
Description: GPS data graphical manager
 GPS Manager (GPSMan) is a graphical manager of GPS data that
 makes possible the preparation, inspection and edition of GPS data in
 a friendly environment. GPSMan supports communication and real-time
 logging with both Garmin and Lowrance receivers and accepts real-time
 logging information in NMEA 0183 from any GPS receiver.

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,12 @@
 
 DESTDIR = debian/gpsman
 
+build-indep: build
+
+build-arch: build
+
 build:
-	dh_testdir 
+	dh_testdir
 
 clean:
 	dh_testdir
@@ -27,8 +31,8 @@
 	dh_installman -i man/man1/gpsman.1 debian/mb2gmn.1 debian/mou2gmn.1
 
 binary-indep: install
-	dh_testdir -i 
-	dh_testroot -i 
+	dh_testdir -i
+	dh_testroot -i
 	dh_installdocs -i
 	dh_installexamples -i
 	dh_installmenu -i
@@ -45,6 +49,5 @@
 
 binary-arch: build install
 
-binary: binary-indep 
+binary: binary-indep
 .PHONY: build clean binary-indep binary-arch binary install
-

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

https://sf.net/gpsman/gpsman-(.+)\.tar\.gz
